6.0.0-git
2019-08-21

[#6290] Minimize data loaded for listing galleries
Summary Minimize data loaded for listing galleries
Queue Ansel
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-02-19 (4201 days ago)
Due
Updated 2008-02-20 (4200 days ago)
Assigned
Resolved 2008-02-20 (4200 days ago)
Milestone
Patch No

History
2008-02-20 20:27:54 Michael Rubinsky Comment #3
State ⇒ Resolved
Reply to this comment
Committed with just some small phpdoc tweaks.



Thanks!
2008-02-19 21:21:48 Chuck Hagenbuch Comment #2
Assigned to Michael Rubinsky
State ⇒ Accepted
Reply to this comment
Accepted pending request 6289.
2008-02-19 17:25:59 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Minimize data loaded for listing galleries
Queue ⇒ Ansel
New Attachment: Ansel.diff Download
Reply to this comment
In a common usage, no filtering galleries by attributes is sued (for 
example browsing the default gallery list). So we do not need to read 
ID values from DB. We can just count the number of galleries 
assessable by current user. This can be done by not reading any data 
from DB just using Datatree::countValuesByAttributes()  from bug #6289.



Numbers?

84k galleries, just counting and selecting the first page

current Ansel : 11,17 sec, memory used 13,37 MB.

patch applied: 7,67 sec, memory used 6,55 MB


Saved Queries